Bug 112748 - Anaconda and XFS
Anaconda and XFS
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-12-30 10:18 EST by Randy Heineke
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-03 15:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Randy Heineke 2003-12-30 10:18:19 EST
Description of problem: Anaconda can't install Fedora using current
XFS patitions. Installer does not recognize existing XFS partition
See 111962
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot FC1 install CD
2. Finds no XFS partitons 
Actual results:
I decide that FC1 prelinking is not worth destroying and recreating
/home.  I stick with Mandrake a little longer.

Expected results:
Finds XFS partition and allows installation without corrupting /home

Additional info: I read somewhere that there may be a hiddden XFS
option in anaconda.  I would like a pointer to that option.  This
would allow some testing by the more intrepid users.
Comment 1 Jeremy Katz 2004-01-03 15:29:08 EST
Without XFS support in the kernel shipped with Fedora, having anything
more in the installer is worthless.  But once the kernel has XFS
support, all of the code in anaconda is already there.
Comment 2 Randy Heineke 2004-01-04 00:08:08 EST
Jeremy, I would be interested in watching for such the development
version of such a Fedora kernel to become available for testing.  I
would appreciate a suggestion of what list to watch, some possible
search terms to watch for and a time frame that might be worth watching.

Thanks for clarifying this for me. When you say "the kernel" I think
you must be talking about some compilation to be included in a future
release of Fedora, as I am able to run XFS on a kernel that came   
with some other ditribution. I guess there is no kernel support then,
I am running a kernel with some sort of XFS patch.


Comment 3 Jeremy Katz 2004-01-04 00:18:34 EST
By "the kernel", I mean the kernel as compiled and shipped in Fedora
Core.  Since that's the only kernel used by the installer, that's the
only one that can be relevant.

Information about the development of Fedora occurs on
fedora-devel-list and fedora-test-list is used for various testing
purposes.  Those would be the main lists that would have information
on this.

Note You need to log in before you can comment on or make changes to this bug.